.breadcrumb {
  text-align: right;
  width: fit-content;
  height: fit-content;
  background: #fff;
  box-shadow: 2px 2px 5px rgba(0,0,0,0.5) !important;
  border-top-left-radius: 50px !important;
  border-bottom-left-radius: 50px !important;
  border-bottom-right-radius: 50px !important;
  margin-right: 2%;
  margin-top: 5%;
  margin: auto;
  padding: 8px 15px !important;
}

  .breadcrumb li a {
    color: gray;
    font-size: 16px;
  }

  .breadcrumb ul {
    margin-bottom: 0 !important;
  }

  .breadcrumb strong.current-item {
    font-size: 16px;
    font-weight: bold;
  }

.container-colum-product-page {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 5%;
  padding: 0 1.5%;
  gap: 2%;
}

.product-details-page-body md-dialog._md.md-default-theme.md-transition-in {
  padding-top: 3%;
}
.column-left {
  width: 10%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 2%;
}

.column-center {
  width: 50%;  
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.button-2.subscribe-button {
  width: 160px;
  height: auto;
  word-break: keep-all;
  padding: 5% 1% 5% 1%;
  white-space: normal;
}

.min-qty-notification, .total-quantity, .sold-by-unit {
  font-size: 15px;
  font-weight: 600;
}

.note-quantity-deviation {
  text-align: right;
  font-size: 16px;
  font-weight: bold;
  display: flex;
  align-items: center;
  background-color: lightgray;
  width: 200px;
  justify-content: center;
  flex-direction: row;
  gap: 10px;
  padding: 0 10px 0 10px;
  border: 1px solid;
}

  .note-quantity-deviation:before {
    content: url('../../images/samples/exclamation-mark.svg');
  }

.attributes .required {
  float: inherit;
}

.attributes {
  margin: 0;
  padding: 0;
}

.add-info {
  width: 100% !important;
}

.products-details-productBox {
  display: flex;
  justify-content: center;
  align-items: center;
}

  .products-details-productBox a {
    color: white;
    font-size: 14px;
    font-weight: normal;
  }

.full-description img {
  width: 30px;
  height: auto;
}

.column-left .discontinued-product {
  display: none;
}

.carousel-inner .item img {
  width: auto !important;
  height: 200px;
}

.productTabs-body {
  display: none;
}

  .productTabs-body.show {
    display: block;
  }

.ui-tabs .inputs label {
  width: 10%;
}

.open-tabs.fa-arrow-down:before {
  position: absolute;
  float: left;
  left: 20%;
}

.productTabs-header .toggleControl a.open-tabs, .productTabs-header .toggleControl {
  position: absolute;
  float: left;
  left: 20%;
}

a.open-tabs:before {
  content: "\f063";
  font-family: 'FontAwesome';
  transform: rotate(-90deg);
  position: absolute;
  float: left;
  left: 20%;
}

.productTabs-header .toggleControl.opened-open-tabs a.open-tabs:before {
  content: "\f063";
  transform: rotate(1deg);
  transition: all .4s ease;
  position: absolute;
  float: left;
  left: 20%;
}

a.button-2.product-box-add-to-cart-button.products-details-productBox {
  font-size: 14px;
  text-decoration: none;
  color: white;
  height: 45px;
}

.gallery .picture img {
  object-fit: contain;
  width: 100%;
}

.zoom-container {
  overflow: hidden;
  min-width: 400px;
  display: inline-block;
  min-height: 400px;
}

.price-total-product-page {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 10px;
}

button.button-2.add-to-compare-list-button {
  padding: 0;
}

.color-addition:before {
  content: url('../../images/samples/note.svg');
  border-radius: 50%;
}

.color-addition {
  display: flex;
  flex-direction: column;
  background-color: #eaeaea;
  padding: 1%;
  width: 30%;
  align-items: center;
  align-content: center;
  border-radius: 5px;
}
.disabledPageIndx {
  pointer-events: none;
  opacity: 0.4;
  color: grey !important;
}

.column-right {
  width: 30%;
}

@media (max-width: 1024px) {
  [aria-describedby="back-in-stock-dialog"] {
    margin-top: 50%;
  }


.disabledPageIndx {
    pointer-events: none;
    opacity: 0.6;
}

  .container-colum-product-page {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-top: 10%;
  }

  .column-right {
    order: 1;
  }

  .column-center {
    order: 3;
    z-index: 2;
    margin-top: 20%;
  }

  .column-left {
    order: 2;
  }

  .column-left {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    margin: 0 0 4% 0;
    justify-content: space-between;
  }

  gallery.sevenspikes-cloudzoom-gallery {
    margin-bottom: 5%;
  }

  .sold-by-unit {
    width: 100%;
  }

  .container-choose-color-attribute {
    display: flex;
    gap: 10px;
    justify-content: center;
  }

  .productTabs-header .toggleControl {
    padding-top: 20px;
    position: inherit;
    float: right;
    padding-right: 0;
  }

    .productTabs-header .toggleControl:before {
      transform: rotate(90deg);
    }

    .productTabs-header .toggleControl.opened-open-tabs:before, .productTabs-header .toggleControl:before {
      position: inherit;
    }
}

/*//////-----slider products-----//////*/

.carousel-inner .item-box.item {
  width: 100%;
  height: 350px;
}

.col-xs-12.col-sm-6.col-md-2 {
  padding-right: 4px;
  padding-left: 4px;
  margin: 0;
}

.col-xs-12.col-sm-12.col-md-12 {
  padding: 0;
}

#slider-text {
  padding-top: 40px;
  display: block;
}

  #slider-text .col-md-6 {
    overflow: hidden;
  }

  #slider-text h2 {
    font-weight: 400;
    font-size: 30px;
    letter-spacing: 3px;
    margin: 30px auto;
    padding-left: 40px;
  }

    #slider-text h2::after {
      border-top: 2px solid #c7c7c7;
      content: "";
      position: absolute;
      bottom: 35px;
      width: 100%;
    }

#itemslider h4 {
  font-weight: 400;
  font-size: 12px;
  margin: 10px auto 3px;
}

#itemslider h5 {
  font-weight: bold;
  font-size: 12px;
  margin: 3px auto 2px;
}

#itemslider h6 {
  font-weight: 300;
  font-size: 10px;
  margin: 2px auto 5px;
}

.badge {
  background: #b20c0c;
  position: absolute;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  line-height: 31px;
  font-weight: 300;
  font-size: 14px;
  border: 2px solid #FFF;
  box-shadow: 0 0 0 1px #b20c0c;
  top: 5px;
  right: 25%;
}

#slider-control img {
  padding-top: 60%;
  margin: 0 auto;
}

.title-carousel {
  text-align: center;
  font-size: 30px;
  line-height: 100px;
}

.carousel-showmanymoveone .carousel-control {
  width: 4%;
  background-image: none;
}

.carousel-control.left img.img-responsive.ng-scope {
  padding-bottom: 85px;
}

@media screen and (max-width: 992px) {
  #slider-control img {
    padding-top: 70px;
    margin: 0 auto;
  }

  .carousel-showmanymoveone .carousel-control {
    width: 10%;
  }
}

@media screen and (max-width: 700px) {
  .right.carousel-control img.img-responsive {
    padding-top: 150px !important;
  }
}

.carousel-showmanymoveone .cloneditem-1,
.carousel-showmanymoveone .cloneditem-2,
.carousel-showmanymoveone .cloneditem-3,
.carousel-showmanymoveone .cloneditem-4,
.carousel-showmanymoveone .cloneditem-5 {
  display: none;
}

@media all and (min-width: 768px) {
  .carousel-showmanymoveone .carousel-inner > .active.left,
  .carousel-showmanymoveone .carousel-inner > .prev {
    left: -50%;
  }

  .carousel-showmanymoveone .carousel-inner > .active.right,
  .carousel-showmanymoveone .carousel-inner > .next {
    left: 50%;
  }

  .carousel-showmanymoveone .carousel-inner > .left,
  .carousel-showmanymoveone .carousel-inner > .prev.right,
  .carousel-showmanymoveone .carousel-inner > .active {
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner .cloneditem-1 {
    display: block;
  }
}

@media all and (min-width: 768px) and (transform-3d), all and (min-width: 768px) and (-webkit-transform-3d) {
  .carousel-showmanymoveone .carousel-inner > .item.active.right,
  .carousel-showmanymoveone .carousel-inner > .item.next {
    -webkit-transform: translate3d(50%, 0, 0);
    transform: translate3d(50%, 0, 0);
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner > .item.active.left,
  .carousel-showmanymoveone .carousel-inner > .item.prev {
    -webkit-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
    left: 0;
  }

    .carousel-showmanymoveone .carousel-inner > .item.left,
    .carousel-showmanymoveone .carousel-inner > .item.prev.right,
    .carousel-showmanymoveone .carousel-inner > .item.active {
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
      left: 0;
    }
}

@media all and (min-width: 992px) {
  .carousel-showmanymoveone .carousel-inner > .active.left,
  .carousel-showmanymoveone .carousel-inner > .prev {
    left: -16.666%;
  }

  .carousel-showmanymoveone .carousel-inner > .active.right,
  .carousel-showmanymoveone .carousel-inner > .next {
    left: 16.666%;
  }

  .carousel-showmanymoveone .carousel-inner > .left,
  .carousel-showmanymoveone .carousel-inner > .prev.right,
  .carousel-showmanymoveone .carousel-inner > .active {
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner .cloneditem-2,
  .carousel-showmanymoveone .carousel-inner .cloneditem-3,
  .carousel-showmanymoveone .carousel-inner .cloneditem-4,
  .carousel-showmanymoveone .carousel-inner .cloneditem-5,
  .carousel-showmanymoveone .carousel-inner .cloneditem-6 {
    display: block;
  }
}

@media all and (min-width: 992px) and (transform-3d), all and (min-width: 992px) and (-webkit-transform-3d) {
  .carousel-showmanymoveone .carousel-inner > .item.active.right,
  .carousel-showmanymoveone .carousel-inner > .item.next {
    -webkit-transform: translate3d(16.666%, 0, 0);
    transform: translate3d(16.666%, 0, 0);
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner > .item.active.left,
  .carousel-showmanymoveone .carousel-inner > .item.prev {
    -webkit-transform: translate3d(-16.666%, 0, 0);
    transform: translate3d(-16.666%, 0, 0);
    left: 0;
  }

    .carousel-showmanymoveone .carousel-inner > .item.left,
    .carousel-showmanymoveone .carousel-inner > .item.prev.right,
    .carousel-showmanymoveone .carousel-inner > .item.active {
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
      left: 0;
    }
}



/*/////---------product-list-----------////////*/

.product-list .item-box {
  display: flex;
}

  .product-list .item-box .details {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    margin: 0;
    padding: 0;
    padding-top: 7%;
  }



.product-list .item-box {
  padding: 2%;
}

.center-2 .product-list .item-box .add-info {
  width: 30%;
}

.product-list .item-box .buttons {
  display: flex;
}

.product-list .item-box .sku {
  display: block !important;
  font-size: 12px;
  color: #000000;
  margin-bottom: 0;
}

/*/////---------end-product-list-----------///////*/




/*////-----copy from demo------/////*/
.product-details-page-body md-dialog._md.md-default-theme.md-transition-in {
  padding-top: 3%;
}

.column-left {
  width: 10%;
  width: 10%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 2%;
  margin-left: 1.5%;
}

.column-right {
  width: 30%;
}

.column-center {
  width: 50%;
}

.gallery > div:first-child {
  float: right;
}

.button-2.subscribe-button {
  width: 160px;
  height: auto;
  word-break: keep-all;
  padding: 5% 1% 5% 1%;
  white-space: normal;
}

.min-qty-notification, .total-quantity, .sold-by-unit {
  font-size: 15px;
  font-weight: 600;
  text-align: right;
}

  .add-info .add-to-cart-qty-wrapper {
    float: right;
    /*width: 100%;*/
  }

.note-quantity-deviation {
  text-align: right;
  font-size: 16px;
  font-weight: bold;
  display: flex;
  align-items: center;
  background-color: lightgray;
  width: 200px;
  justify-content: center;
  flex-direction: row;
  gap: 10px;
  padding: 0 10px 0 10px;
  border: 1px solid;
}

  .note-quantity-deviation:before {
    content: url('../../images/samples/exclamation-mark.svg');
  }

.attributes .required {
  float: inherit;
}

.attributes {
  margin: 0;
  padding: 0;
}

.add-info {
  width: 100% !important;
}

.products-details-productBox {
  display: flex;
  justify-content: center;
  align-items: center;
}

.product-essential img#quick-view-zoom {
  position: inherit;
}

.products-details-productBox a {
  color: white;
  font-size: 14px;
  font-weight: normal;
}

.full-description img {
  width: 30px;
  height: auto;
}

.column-left .discontinued-product {
  display: none;
}


.carousel-inner .item img {
  width: auto !important;
  height: 200px;
}

.productTabs-body {
  display: none;
}

div#quickTabs {
  margin-bottom: 5%;
  padding-bottom: 3%;
}

.open-tabs.fa-arrow-down:before {
  position: absolute;
  float: left;
  left: 20%;
}

.productTabs-header {
  cursor: pointer;
}

.column-right .gallery .picture {
  width: 100%;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
}

.page.back-in-stock-subscription-page .tooltip {
  display: none;
}

@media (max-width: 1024px) {
  .container-colum-product-page {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-top: 0;
  }

  .column-right, .column-center, .column-left {
    width: 100%;
  }

  .column-right {
    order: 1;
  }

  .column-center {
    order: 3;
    z-index: 2;
    margin-top: 0;
  }

  .column-left {
    order: 2;
  }

  .column-left {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    justify-content: space-between;
    margin-top: 5%;
  }

  gallery.sevenspikes-cloudzoom-gallery {
    margin-bottom: 5%;
  }

  .sold-by-unit {
    width: 100%;
  }

  .container-choose-color-attribute {
    display: flex;
    gap: 10px;
    justify-content: center;
  }


  .breadcrumb {
    height: fit-content;
    margin: auto;
  }

    .breadcrumb ul {
      margin-bottom: 0 !important;
    }

  .column-right .gallery {
    margin-top: 0 !important;
    margin: 0 !important;
  }

  .additional-details .sku .span.label {
    margin: 0 !important;
  }
}

/*////////--------slider products----//////*/

.carousel-inner .item-box.item {
  width: 100%;
  height: 350px;
}

.col-xs-12.col-sm-6.col-md-2 {
  padding-right: 4px;
  padding-left: 4px;
  margin: 0;
}

.col-xs-12.col-sm-12.col-md-12 {
  padding: 0;
}

#slider-text {
  padding-top: 40px;
  display: block;
}

  .related-products-product-box {
    display: flex;
    flex-direction: column;
  }

  #slider-text .col-md-6 {
    overflow: hidden;
  }

  #slider-text h2 {
    font-weight: 400;
    font-size: 30px;
    letter-spacing: 3px;
    margin: 30px auto;
    padding-left: 40px;
  }

    #slider-text h2::after {
      border-top: 2px solid #c7c7c7;
      content: "";
      position: absolute;
      bottom: 35px;
      width: 100%;
    }

#itemslider h4 {
  font-weight: 400;
  font-size: 12px;
  margin: 10px auto 3px;
}

#itemslider h5 {
  font-weight: bold;
  font-size: 12px;
  margin: 3px auto 2px;
}

#itemslider h6 {
  font-weight: 300;
  font-size: 10px;
  margin: 2px auto 5px;
}

.badge {
  background: #b20c0c;
  position: absolute;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  line-height: 31px;
  font-weight: 300;
  font-size: 14px;
  border: 2px solid #FFF;
  box-shadow: 0 0 0 1px #b20c0c;
  top: 5px;
  right: 25%;
}

#slider-control img {
  padding-top: 60%;
  margin: 0 auto;
}

.title-carousel {
  text-align: center;
  font-size: 30px;
  line-height: 100px;
}

.carousel-showmanymoveone .carousel-control {
  width: 4%;
  background-image: none;
}

.carousel-control.left img.img-responsive.ng-scope {
  padding-bottom: 85px;
}

@media screen and (max-width: 992px) {
  #slider-control img {
    padding-top: 70px;
    margin: 0 auto;
  }

  .carousel-showmanymoveone .carousel-control {
    width: 10%;
  }

  .title-carousel {
    font-size: 22px;
  }
}

@media screen and (max-width: 700px) {
  .right.carousel-control img.img-responsive {
    padding-top: 150px !important;
  }

  .zoom-container {
    width: 350px !important;
    height: 300px !important;
  }
}

.carousel-showmanymoveone .cloneditem-1,
.carousel-showmanymoveone .cloneditem-2,
.carousel-showmanymoveone .cloneditem-3,
.carousel-showmanymoveone .cloneditem-4,
.carousel-showmanymoveone .cloneditem-5 {
  display: none;
}

@media all and (min-width: 768px) {
  .carousel-showmanymoveone .carousel-inner > .active.left,
  .carousel-showmanymoveone .carousel-inner > .prev {
    left: -50%;
  }

  .carousel-showmanymoveone .carousel-inner > .active.right,
  .carousel-showmanymoveone .carousel-inner > .next {
    left: 50%;
  }

  .carousel-showmanymoveone .carousel-inner > .left,
  .carousel-showmanymoveone .carousel-inner > .prev.right,
  .carousel-showmanymoveone .carousel-inner > .active {
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner .cloneditem-1 {
    display: block;
  }
}

@media all and (min-width: 768px) and (transform-3d), all and (min-width: 768px) and (-webkit-transform-3d) {
  .carousel-showmanymoveone .carousel-inner > .item.active.right,
  .carousel-showmanymoveone .carousel-inner > .item.next {
    -webkit-transform: translate3d(50%, 0, 0);
    transform: translate3d(50%, 0, 0);
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner > .item.active.left,
  .carousel-showmanymoveone .carousel-inner > .item.prev {
    -webkit-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
    left: 0;
  }

    .carousel-showmanymoveone .carousel-inner > .item.left,
    .carousel-showmanymoveone .carousel-inner > .item.prev.right,
    .carousel-showmanymoveone .carousel-inner > .item.active {
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
      left: 0;
    }
}

@media all and (min-width: 992px) {
  .carousel-showmanymoveone .carousel-inner > .active.left,
  .carousel-showmanymoveone .carousel-inner > .prev {
    left: -16.666%;
  }

  .carousel-showmanymoveone .carousel-inner > .active.right,
  .carousel-showmanymoveone .carousel-inner > .next {
    left: 16.666%;
  }

  .carousel-showmanymoveone .carousel-inner > .left,
  .carousel-showmanymoveone .carousel-inner > .prev.right,
  .carousel-showmanymoveone .carousel-inner > .active {
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner .cloneditem-2,
  .carousel-showmanymoveone .carousel-inner .cloneditem-3,
  .carousel-showmanymoveone .carousel-inner .cloneditem-4,
  .carousel-showmanymoveone .carousel-inner .cloneditem-5,
  .carousel-showmanymoveone .carousel-inner .cloneditem-6 {
    display: block;
  }
}

@media all and (min-width: 992px) and (transform-3d), all and (min-width: 992px) and (-webkit-transform-3d) {
  .carousel-showmanymoveone .carousel-inner > .item.active.right,
  .carousel-showmanymoveone .carousel-inner > .item.next {
    -webkit-transform: translate3d(16.666%, 0, 0);
    transform: translate3d(16.666%, 0, 0);
    left: 0;
  }

  .carousel-showmanymoveone .carousel-inner > .item.active.left,
  .carousel-showmanymoveone .carousel-inner > .item.prev {
    -webkit-transform: translate3d(-16.666%, 0, 0);
    transform: translate3d(-16.666%, 0, 0);
    left: 0;
  }

    .carousel-showmanymoveone .carousel-inner > .item.left,
    .carousel-showmanymoveone .carousel-inner > .item.prev.right,
    .carousel-showmanymoveone .carousel-inner > .item.active {
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
      left: 0;
    }
}


body.product-details-page-body.ng-scope .ui-dialog-content .page-title h1 {
  font-size: 20px;
  text-transform: uppercase;
  color: #3cbfd2;
  font-weight: 800;
}

body.product-details-page-body.ng-scope .ui-dialog-titlebar {
  padding: 0;
}


@media (min-width: 1024px) {

  .container-attributes {
    width: 700px;
  }

  .product-specs-box tbody {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
}
